# Interface JELQuantity

public interface JELQuantity
Aggregates a compiled expression and a metadata object.

Since:
  19 Jul 2016
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`gnu.jel.CompiledExpression`
`getCompiledExpression()`
Returns the compiled expression from which this quantity can be evaluated.
`String`
`getExpression()`
Returns the string expression from which this quantity was created.
`uk.ac.starlink.table.ValueInfo`
`getValueInfo()`
Returns a metadata object that describes this quantity.

## Method Details

### getExpression

String getExpression()
Returns the string expression from which this quantity was created.

Returns:
  original expression string

### getCompiledExpression

gnu.jel.CompiledExpression getCompiledExpression()
Returns the compiled expression from which this quantity can be evaluated.

Returns:
  compiled expression

### getValueInfo

uk.ac.starlink.table.ValueInfo getValueInfo()
Returns a metadata object that describes this quantity. It should have at least a name and a data type. It may have other information like UCDs and descriptions if they are available or can be determined.

Returns:
  metadata for quantity